# Topic Index

An index of topics, with related functions, modules, and constants.

**A**: [Annotation](#annotation), [Arrows](#arrows)

**D**: [Design](#design), [Dimensioning](#dimensioning), [Document Layout](#document-layout)

**G**: [Geometry](#geometry)

**L**: [Lines](#lines)

**M**: [Modularity](#modularity)

**T**: [Technical Drawings](#technical-drawings), [Templates](#templates)

### Annotation

- [`quote()`](quotes.scad#module-quote) Mod – Draws a dimension line with optional text labeling the length.

### Arrows

- [`arrowed_line()`](quotes.scad#module-arrowed_line) Mod – Draws a straight line with arrowheads at both ends.

### Design

- [`titleBlock()`](titleBlock.scad#module-titleblock) Mod – Generates a customizable title block layout for documents.

### Dimensioning

- [`quote()`](quotes.scad#module-quote) Mod – Draws a dimension line with optional text labeling the length.

### Document Layout

- [`titleBlock()`](titleBlock.scad#module-titleblock) Mod – Generates a customizable title block layout for documents.

### Geometry

- [`arrowed_line()`](quotes.scad#module-arrowed_line) Mod – Draws a straight line with arrowheads at both ends.
- [`ext_line()`](quotes.scad#module-ext_line) Mod – Draws a straight extruded line between two points.

### Lines

- [`arrowed_line()`](quotes.scad#module-arrowed_line) Mod – Draws a straight line with arrowheads at both ends.
- [`ext_line()`](quotes.scad#module-ext_line) Mod – Draws a straight extruded line between two points.

### Modularity

- [`titleBlock()`](titleBlock.scad#module-titleblock) Mod – Generates a customizable title block layout for documents.

### Technical Drawings

- [`A4`](titleBlock.scad#module-a4) Mod – Generates an A4-sized boundary with configurable margins.
- [`plan`](titleBlock.scad#module-plan) Mod – Generates a structured technical drawing layout with a title block.

### Templates

- [`A4`](titleBlock.scad#module-a4) Mod – Generates an A4-sized boundary with configurable margins.
- [`plan`](titleBlock.scad#module-plan) Mod – Generates a structured technical drawing layout with a title block.

